---
type: api
title: Unsnooze an alert
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-alerting-rule-rule-id-alert-alert-id-unsnooze
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-alerting-rule-rule-id-alert-alert-id-unsnooze
products:
  - Kibana
---

# Unsnooze an alert

Availability:

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/alerting/rule/{rule_id}/alert/{alert_id}/_unsnooze`
- `POST` `/s/{space_id}/api/alerting/rule/{rule_id}/alert/{alert_id}/_unsnooze`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

#### Path Parameters

- `rule_id` (string · max: 256)
  The identifier for the rule.
- `alert_id` (string · max: 1000)
  The identifier for the alert.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Responses

#### `204`

Indicates a successful call.

#### `400`

Indicates an invalid schema or parameters.

#### `403`

Indicates that this call is forbidden.

#### `404`

Indicates the specified rule or alert doesn't exist.

## Code Examples

#### Console

```console
POST /api/alerting/rule/{rule_id}/alert/{alert_id}/_unsnooze
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/alerting/rule/{rule_id}/alert/{alert_id}/_unsnooze" \
  -H "kbn-xsrf: true"
```

